﻿using System.Runtime.CompilerServices;

class Program {
	[MethodImpl(MethodImplOptions.NoInlining)]
	public static (int a, int b) GetPair() {
		return (5, 7);
	}

	[MethodImpl(MethodImplOptions.NoInlining)]
	public static void SetPair((int a, int b) pair) {
		pair.a = 8;
		pair.b = 9;
	}

	[MethodImpl(MethodImplOptions.NoInlining)]
	public static int Test() {
		int x = 3;
		int y = 4;
		Console.WriteLine(x);
		Console.WriteLine(y);
		(x, y) = GetPair();
		Console.WriteLine(x);
		Console.WriteLine(y);
		SetPair((x, y));
		return x + y;
	}

	public static void Main(string[] args) {
		_ = Test();
	}
}
